Subject: [regext] draft-ietf-regext-epp-fees and standard attribute

From: Patrick Mevzek <[email-masked]>
Date: Thu, 05 Apr 2018 08:32:55 +0200

Hello,

I do not know if you already discussed this in London, but the addition of the standard attribute in this latest version of the fees draft lacks any explanation.

The standard attribute, besides in the XSD, appears nowhere, except in this sentence:

   The <fee:command> element(s) contain(s) a "name" attribute (see
   Section 3.1), an OPTIONAL "standard" attribute with a default value
   of false (0), an OPTIONAL "phase" attribute, and an OPTIONAL
   "subphase" attribute (see Section 3.8).

Note that all elements are explained by giving references to other sections with details,
except the optional "standard" attribute.

I do not believe that such a description is enough in a specification. So some explanation text will need to be added here or elsewhere in the document to describe how the answer changed based on this attribute presence or absence and its value.

I would specifically think that details on its working regarding this other sentence of the document will be needed:

   Servers which make use of this element MUST use a <fee:class> element
   with the value "standard" for all objects that are subject to the
   standard or default fee.

-- 
  Patrick Mevzek
  [email-masked]